> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Underlying Assets List

> To query all the supported derivatives underlying assets with ID, name, symbol and underlying type

#### Notes

* Returns all underlying assets by default. Use `underlying_type` to filter for coins or RWAs only.

**Cache / Update Frequency:**


## OpenAPI

````yaml openapi-specs/demo-api.json get /derivatives/underlyings/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /derivatives/underlyings/list:
    get:
      summary: Derivatives Underlying Assets List
      description: >-
        To query all the supported derivatives underlying assets with ID, name,
        symbol and underlying type
      operationId: derivatives-underlyings-list
      parameters:
        - name: underlying_type
          in: query
          required: false
          description: Filter by underlying type.
          schema:
            type: string
            enum:
              - coin
              - rwa
      responses:
        '200':
          description: List of derivatives underlying assets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesUnderlyingsList'
              example:
                - id: bitcoin
                  symbol: btc
                  name: Bitcoin
                  underlying_type: coin
                - id: gold
                  symbol: xau
                  name: Gold
                  underlying_type: rwa
components:
  schemas:
    DerivativesUnderlyingsList:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
          - underlying_type
        properties:
          id:
            type: string
            description: Underlying asset ID (coin ID or RWA ID)
          symbol:
            type: string
            description: Underlying asset symbol
          name:
            type: string
            description: Underlying asset name
          underlying_type:
            type: string
            enum:
              - coin
              - rwa
            description: Underlying asset type
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.